Bug 457285 - Error mounting device VolGroup00/LogVol00 as /: mount failed
Error mounting device VolGroup00/LogVol00 as /: mount failed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
powerpc Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Alpha/F10AlphaBlocker
  Show dependency treegraph
 
Reported: 2008-07-30 13:05 EDT by James Laska
Modified: 2013-09-02 02:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-01 12:40:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-logs.tgz (12.62 KB, application/octet-stream)
2008-07-30 13:05 EDT, James Laska
no flags Details
Screenshot (64.13 KB, image/png)
2008-07-30 13:06 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2008-07-30 13:05:08 EDT
Description of problem:

Attempting to install from
http://reducto.install.bos.redhat.com/pungi/f10-alpha.5/10-Alpha/ppc/os using
VNC shows the following failure while activating the default recommended
partition scheme: http://jlaska.fedorapeople.org/error.png

Version-Release number of selected component (if applicable):

kernel-2.6.27-0.166.rc0.git8.fc10


How reproducible:


Steps to Reproduce:
1. Boot installer on previously installed rawhide system 
2. Activate VNC when prompted
3. Proceed to partitioning
4. Accept defaults, click OK, and activate partitions
  
Actual results:

http://jlaska.fedorapeople.org/error.png

Expected results:
No error

Additional info:

 * This system had 2 luks encrypted block devices from a previous install --
when prompted, I provided the correct passphrase to unlock

 * On the serial console for this system I attempt to mount
/dev/VolGroup00/LogVol00 manually ...

sh-3.2# mount /dev/VolGroup00/LogVol00 /mnt/sysimage
mount: /mnt/sysimage does not contain SELinux labels.
       You just mounted an file system that supports labels which does not
       contain labels, onto an SELinux box. It is likely that confined
       applications will generate AVC messages and not be allowed access to
       this file system.  You can add labels to this file system by executing
       restorecon(8). If you do not want to add labels to this file system,
       you should mount the file system using one of the "context" mount
       option.sh-3.2#
Comment 1 James Laska 2008-07-30 13:05:08 EDT
Created attachment 313012 [details]
anaconda-logs.tgz
Comment 2 James Laska 2008-07-30 13:06:59 EDT
Created attachment 313013 [details]
Screenshot
Comment 3 Jesse Keating 2008-07-30 13:12:42 EDT
I'm seeing this as well on i386, and ppc.
Comment 4 Will Woods 2008-07-30 13:52:11 EDT
Note that the mount message is *not*, technically, a failure - it still gets
mounted and mount seems to return 0. 

I suspect that esandeen's patch:
  https://www.redhat.com/archives/anaconda-devel-list/2008-July/msg00105.html
which changed the mke2fs incantation:
-        self.extraFormatArgs = [ "-j" ]
+        self.extraFormatArgs = [ "-t ext3" ]
might be wrong; I think that might need to be
+        self.extraFormatArgs = [ "-t", "ext3" ]
I'm testing that theory with an updates.img right now.
Comment 5 Eric Sandeen 2008-07-30 13:59:40 EDT
wwoods, yeah, that was my error.

Urk, sorry.  I should stay away from python.
Comment 6 Chris Lumens 2008-07-30 14:05:14 EDT
Committed and pushed, will rebuild anaconda soon.
Comment 7 Will Woods 2008-07-31 15:49:29 EDT
Seems fixed in anaconda 11.4.1.23. Jim, can you retest and confirm?
Comment 8 James Laska 2008-07-31 16:08:08 EDT
Will queue this up once a ppc tree is available for testing
Comment 9 James Laska 2008-08-01 12:40:33 EDT
Verified against
http://reducto.install.bos.redhat.com/pungi/f10-alpha.7/10-Alpha/ppc/os which
includes anaconda version 11.4.1.23

Note You need to log in before you can comment on or make changes to this bug.